The SML of NJ Library
The `ListSetFn` functor

The `ListSetFn` functor provides a sorted-list implementation of the `ORD_SET` signature parameterized over the element type. This implementation is light weight and fast for small sets, but for larger applications, it is recommended that one use the `RedBlackSetFn` functor instead.

## Synopsis

    functor ListSetFn (K : ORD_KEY) :> ORD_SET where type Key.ord_key = K.ord_key

## See Also

`ORD_KEY`, `ORD_SET`, The Util Library

SML/NJ Version 110.99.3 (August 1, 2023)
Last updated 2023-07-31 17:59:01 UTC